plot.uvpot {POT} | R Documentation

## Graphical Diagnostic: the Univariate GPD Model

### Description

Produces QQ-plot, Probability Plot and a Density Plot of the fitted model versus the empirical one. Another function computes the Return Level Plot of the fitted model.

### Usage

    ## S3 method for class 'uvpot'
    plot(x, npy, main, which = 1:4, ask = nb.fig <
    length(which) && dev.interactive(),ci = TRUE, ...)

### Arguments

`x` | A fitted object of class `'uvpot'`. Generally, an object return by `fitgpd`
`npy` | The mean Number of events Per Year - or more generally a block.
`main` | optional. A string vector corresponding to the title of each plot.
`which` | a numeric vector which specifies which plot must be drawn : `'1'` for Probability Plot, `'2'` for QQ-Plot,`'3'` for Density Plot and `'4'` for a Return Level Plot.
`ask` | Logical. If `TRUE`, user is asked before each plot.
`ci` | Logical. If `TRUE`, the simulated 95% confidence interval is plotted.
`...` | Other parameters to pass to the `plot` function.

### Author(s)

Mathieu Ribatet

### Examples

    data(ardieres)
    ardieres <- clust(ardieres, 4, 10 / 365, clust.max = TRUE)
    fitted <- fitgpd(ardieres[, "obs"], 6, 'mle')
    npy <- fitted$nat / 33.4 ##33.4 is the total record length (in year)
    par(mfrow=c(2,2))
    plot(fitted, npy = npy)

[Package POT version 1.1-7 Index]